Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132779 - Missing line in editor toolbar on Nimbus theme
Missing line in editor toolbar on Nimbus theme
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All Solaris
: P3 (vote)
: 6.x
Assigned To: David Simonek
issues@platform
fix-in-65
: GTK, L&F
Depends on:
Blocks: 131305
  Show dependency treegraph
 
Reported: 2008-04-14 15:31 UTC by Ondrej Langr
Modified: 2008-12-22 14:36 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
missing horizontal line in the editor toolbar (4.45 KB, image/jpeg)
2008-04-14 15:32 UTC, Ondrej Langr
Details
Missing editor top border without toolbar (33.12 KB, image/png)
2008-09-05 10:32 UTC, Antonin Nebuzelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2008-04-14 15:31:05 UTC
The horizontal line (border) above the editor toolbar is missing. The right side is there. See the attached image.
Comment 1 Ondrej Langr 2008-04-14 15:32:00 UTC
Created attachment 60137 [details]
missing horizontal line in the editor toolbar
Comment 2 Vitezslav Stejskal 2008-04-21 09:45:39 UTC
Nimbus L&F is available in the latest jdk6 updates (early access, eg jdk6u10). It can be activated by passing '--laf
com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel' when statring Netbeans.
Comment 3 Ondrej Langr 2008-07-04 15:09:12 UTC
Sorry for the confusion, the Nimbus GTK theme is affected in this case, not the NetBeans nimbus implementation.

Also raising priority, this is highly visible defect.
Comment 4 Jan Becicka 2008-09-05 10:05:26 UTC
Vito, is it something we can fix? Isn't it GTK issue?
Comment 5 Antonin Nebuzelsky 2008-09-05 10:08:16 UTC
> Isn't it GTK issue?

Correct that this is a GTK LaF issue. Can be seen with all the gnome themes, not only Nimbus.
Comment 6 Jan Becicka 2008-09-05 10:19:45 UTC
And is it specific to editor toolbar, or all toolbars?
Comment 7 Antonin Nebuzelsky 2008-09-05 10:31:22 UTC
Good question. Actually the line on the top of editor window is missing even if the editor toolbar is not there. See
attachment.

Marku, Stando, where is the code which should draw the line? Not in editor toolbar I guess.
Comment 8 Antonin Nebuzelsky 2008-09-05 10:32:19 UTC
Created attachment 69129 [details]
Missing editor top border without toolbar
Comment 9 Vitezslav Stejskal 2008-09-05 14:30:40 UTC
AFAIK the line is normally drawn by the editor tabs, which is somewhere in the window system impl. Dafe could know details.
Comment 10 David Simonek 2008-09-30 16:18:45 UTC
fixed in #b18757413284
Comment 11 Quality Engineering 2008-10-03 14:32:34 UTC
Integrated into 'main-golden', will be available in build *200810031107* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b18757413284
User: Dafe Simonek <dsimonek@netbeans.org>
Log: #132779: draw line below tabs on GTK


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo